Installation MotionEye auf Pi4 8GB; Buster Version 10

  • Bildgröße

    Meinst Du die Auflösung? Das kannst Du evt. bei der Auswahl des Streams festlegen (so Deine Kamera das unterstützt -> siehe Doku). Es wäre auch schön, wenn Du die Lösung für Deine Kamera hier in den Thread schreibst, damit die "Nachwelt" auch etwas davon hat.

  • Ich musste die "Embed URL" nehmen. Da konnte ich die Anzeigengröße (Bildgröße) frei einstellen. Vorher hatte ich die "Streaming URL".


    Danke

  • Hi

    Sorry, habe das gleiche Problem wieder. Bekomme Motion einfach nicht installiert. Vorgehensweise wie oben und alles gemacht. Läuft aber nicht. :(


    Als erstes habe ich Buster Lite installiert, danach iobroker. Dann mit der Anleitung von oben motioneye installieren wollen.

    Wenn ich in der console top eingebe, wird mir motion auch nicht angezeigt.


    Installieren will ich motioneye auf einem iobroker slave.


    Kann mir jemand weiterhelfen, wie ich motioneye installiert bekomme?! Ich könnte den Zustand bis nach der iobrokerinstallation wieder herstellen.




    Danke!

  • Jan 03 16:37:21 MotionEye motion[352]: Not starting motion daemon, disabled via

    Da fehlt was. Dein motion startet nicht als daemon (sollte es das?) und dies könntest Du in der motion.conf ändern.

  • Da fehlt was. Dein motion startet nicht als daemon (sollte es das?) und dies könntest Du in der motion.conf ändern.

    sollte es wohl nicht wenn ich dich richtig verstehe. wo und wie kann ich das ändern?

  • sollte es wohl nicht wenn ich dich richtig verstehe. wo und wie kann ich das ändern?

    Das kann ich Dir für Deinen Einsatzweck (ioBroker Integration) nicht verraten, ich weiß es schlicht und ergreifend nicht. Evt. wirst Du in der Doku fündig.


    Guck doch mal in /etc/default/motion , was bei start_motion_daemon= steht.

  • also alles auf Anfang und mit sudo apt install motion installiert -

  • danach neustart


    nano /etc/default/motion von no auf yes gestellt


    Funktioniert leider nicht. Hat jemand eine Idee?


    Danke!

  • Funktioniert leider nicht. Hat jemand eine Idee?

    Ist keine Fehlermeldung. Was geht denn nicht? Die Änderung dürfte auch nur mit root Rechten zu speichern sein. Haste gemacht?

    also alles auf Anfang und mit sudo apt install motion installiert -

    Wo steht denn das in der Anleitung? Oder hast Du jetzt eine andere (für ioBroker?) verwendet?


    Hast Du dies aus der Anleitung umgesetzt?


    Prepare the configuration directory:

    Code
     mkdir -p /etc/motioneye cp /usr/local/share/motioneye/extra/motioneye.conf.sample /etc/motioneye/motioneye.conf
  • Mit alles auf Anfang war gemeint, das ich den Zustand vor der Installation wieder hergestellt habe.

    Danach habe ich lediglich sudo apt install motion ausgeführt

  • Punkt 2 der Anleitung:

    Punkt 3:

    Punkt 4:

  • Punkt 4 mit sudo davor

  • Punkt 6:

    Code
    root@MotionEye:/home/pi# sudo mkdir -p /etc/motioneye
    root@MotionEye:/home/pi# sudo cp /usr/local/share/motioneye/extra/motioneye.conf.sample /etc/motioneye/motioneye.conf
    cp: der Aufruf von stat für '/usr/local/share/motioneye/extra/motioneye.conf.sample' ist nicht möglich: Datei oder Verzeichnis nicht gefunden

    Punkt 8:

    Code
    root@MotionEye:/home/pi# sudo cp /usr/local/share/motioneye/extra/motioneye.systemd-unit-local /etc/systemd/system/motioneye.service
    cp: der Aufruf von stat für '/usr/local/share/motioneye/extra/motioneye.systemd-unit-local' ist nicht möglich: Datei oder Verzeichnis nicht gefunden
  • Punkt 8: (kann wahrscheinlich nicht funktionieren)

    Code
    root@MotionEye:/home/pi# sudo systemctl daemon-reload
    root@MotionEye:/home/pi# sudo systemctl enable motioneye
    Failed to enable unit: Unit file motioneye.service does not exist.
    root@MotionEye:/home/pi# sudo systemctl start motioneye
    Failed to start motioneye.service: Unit motioneye.service not found.
  • 1. Kannst Du bitte aufhören, zig Posts zu generieren, wenn noch gar niemand anders etwas geschrieben hat? ("Beitrag bearbeiten") ist Dein Freund

    2. Nach dem ersten Auftreten einer Fehlermeldung ignorierst Du die bitte nicht, sondern geht dieser auf den Grund:

    Code
    E: Für Paket »libmariadbclient18« existiert kein Installationskandidat.

    Alle nachfolgenden Schritte kannst Du Dir sparen.


    Mit alles auf Anfang war gemeint, das ich den Zustand vor der Installation wieder hergestellt habe.

    Danach habe ich lediglich sudo apt install motion ausgeführt

    Das kann ich mir schon denken, allerdings steht das so nirgends.

  • Natürlich steht das nirgends das man von vorne anfangen soll. Aber wenn's halt nicht funktioniert und gefragt wurde warum.ich nicht das Offizielle genommen habe, wollte ich das probieren.

    Die Frage ist ja auch, warum funktioniert es nach der Anleitung nicht bzw. der Offizielle Weg.


    Woher bekomme ich den Installationskandidaten? Was mache ich denn falsch?